## edu.cwru.SimpleRTS.agent
Enum ScriptedGoalAgent.GoalType

    java.lang.Object
      java.lang.Enum<ScriptedGoalAgent.GoalType>
          edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.GoalType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScriptedGoalAgent.GoalType>

Enclosing class:
  ScriptedGoalAgent

    static enum ScriptedGoalAgent.GoalType

extends java.lang.Enum<ScriptedGoalAgent.GoalType>

Enum Constant Summary
`Attack`
`Build`
`Faulty`
`Produce`
`Transfer`
`Wait`

Method Summary
`static ScriptedGoalAgent.GoalType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScriptedGoalAgent.GoalType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Transfer

    public static final ScriptedGoalAgent.GoalType Transfer

### Attack

    public static final ScriptedGoalAgent.GoalType Attack

### Produce

    public static final ScriptedGoalAgent.GoalType Produce

### Build

    public static final ScriptedGoalAgent.GoalType Build

### Wait

    public static final ScriptedGoalAgent.GoalType Wait

### Faulty

    public static final ScriptedGoalAgent.GoalType Faulty

Method Detail

### values

    public static ScriptedGoalAgent.GoalType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScriptedGoalAgent.GoalType c : ScriptedGoalAgent.GoalType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScriptedGoalAgent.GoalType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null